Index: main/plugin-core-ui/resources/js/Ametys/userprefs/UserPrefsDAOStateProvider.js
===================================================================
--- main/plugin-core-ui/resources/js/Ametys/userprefs/UserPrefsDAOStateProvider.js	(revision 32647)
+++ main/plugin-core-ui/resources/js/Ametys/userprefs/UserPrefsDAOStateProvider.js	(working copy)
@@ -86,7 +86,7 @@
     	var save = {};
     	save[this.preference] = this.encodeValue(this.state);
     	
-    	Ametys.userprefs.UserPrefsDAO.saveValues(save, Ext.bind(this._saveStateCB, this), this.prefContext, priority, this.self.getName() + "$saving");
+    	Ametys.userprefs.UserPrefsDAO.saveValues(true, save, Ext.bind(this._saveStateCB, this), this.prefContext, priority, this.self.getName() + "$saving");
     },
     
     /**
Index: main/plugin-core-ui/resources/js/Ext.enhancements.js
===================================================================
--- main/plugin-core-ui/resources/js/Ext.enhancements.js	(revision 32913)
+++ main/plugin-core-ui/resources/js/Ext.enhancements.js	(working copy)
@@ -681,9 +681,9 @@
                 width -= owner.commentWrapEl.getWidth();
             }
             
-            if (owner.warnWrapEl && owner.hasActiveWarning()) 
+            if (owner.warningWrapEl && owner.hasActiveWarning()) 
             {
-                width -= owner.warnWrapEl.getWidth();
+                width -= owner.warningWrapEl.getWidth();
             }
             
             this.callParent([ownerContext, width]);
Index: main/plugin-core-ui/stylesheets/kernel.xsl
===================================================================
--- main/plugin-core-ui/stylesheets/kernel.xsl	(revision 32758)
+++ main/plugin-core-ui/stylesheets/kernel.xsl	(working copy)
@@ -129,6 +129,8 @@
 	        <script>/plugins/core-ui/resources/js/Ametys/form/AbstractField.js</script>
 	        <script>/plugins/core-ui/resources/js/Ametys/form/AbstractFieldsWrapper.js</script>
 	        <script>/plugins/core-ui/resources/js/Ametys/form/field/DateTime.js</script>
+	        <script>/plugins/core-ui/resources/js/Ametys/form/field/StringTime.js</script>
+	        <script>/plugins/core-ui/resources/js/Ametys/form/field/Password.js</script>
 	        <script>/plugins/core-ui/resources/js/Ametys/form/field/ChangePassword.js</script>
             <script>/plugins/core-ui/resources/js/Ametys/form/field/ReferencedNumberField.js</script>
             <script>/plugins/core-ui/resources/js/Ametys/form/field/RichText.js</script>
